Переполнение буфера в NetBSD

Дата публикации:
04.04.2011
Дата изменения:
04.04.2011
Всего просмотров:
2029
Опасность:
Высокая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:W/RC:C) = Base:10/Temporal:8.6
CVE ID:
CVE-2011-1547
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
NetBSD 4.0
Уязвимые версии: NetBSD 4.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки при обработке инкапсулированных IPComp (IP Payload Compression Protocol) данных. Удаленный пользователь может с помощью специально сформированного пакета вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.netbsd.org

Решение: Установите исправление из CVS репозитория производителя.

Ссылки: IPComp Encapsulation Pre-auth Kernel Memory Corruption PoC
http://www.openwall.com/lists/oss-security/2011/04/01/1

или введите имя

CAPTCHA